/*
    Copyright (c) 2022 Advanced Micro Devices, Inc. All rights reserved.
*/

#ifndef ROCM_SYMLINK_ITERATOR_DISCARD_ITERATOR_H
#define ROCM_SYMLINK_ITERATOR_DISCARD_ITERATOR_H

#if defined(ROCM_NO_WRAPPER_HEADER_WARNING) || defined(ROCM_SYMLINK_GAVE_WARNING)
/* include file */
#include "../../../../include/thrust/iterator/discard_iterator.h"
#else
/* give warning */
#if defined(_MSC_VER)
#pragma message(": warning:This file is deprecated. Use the header file from /opt/rocm-5.5.3/include/thrust/iterator/discard_iterator.h by using #include <thrust/iterator/discard_iterator.h>")
#elif defined(__GNUC__)
#warning "This file is deprecated. Use the header file from /opt/rocm-5.5.3/include/thrust/iterator/discard_iterator.h by using #include <thrust/iterator/discard_iterator.h>"
#endif
/* include file */
#define ROCM_SYMLINK_GAVE_WARNING
#include "../../../../include/thrust/iterator/discard_iterator.h"
#undef ROCM_SYMLINK_GAVE_WARNING
#endif /* defined(ROCM_NO_WRAPPER_HEADER_WARNING) || defined(ROCM_SYMLINK_GAVE_WARNING) */

#endif /* ROCM_SYMLINK_ITERATOR_DISCARD_ITERATOR_H */


