/*
    Copyright (c) 2022 Advanced Micro Devices, Inc. All rights reserved.
*/

#ifndef ROCM_SYMLINK_SYSTEM_OMP_EXECUTION_POLICY_H
#define ROCM_SYMLINK_SYSTEM_OMP_EXECUTION_POLICY_H

#if defined(ROCM_NO_WRAPPER_HEADER_WARNING) || defined(ROCM_SYMLINK_GAVE_WARNING)
/* include file */
#include "../../../../../include/thrust/system/omp/execution_policy.h"
#else
/* give warning */
#if defined(_MSC_VER)
#pragma message(": warning:This file is deprecated. Use the header file from /opt/rocm-5.5.3/include/thrust/system/omp/execution_policy.h by using #include <thrust/system/omp/execution_policy.h>")
#elif defined(__GNUC__)
#warning "This file is deprecated. Use the header file from /opt/rocm-5.5.3/include/thrust/system/omp/execution_policy.h by using #include <thrust/system/omp/execution_policy.h>"
#endif
/* include file */
#define ROCM_SYMLINK_GAVE_WARNING
#include "../../../../../include/thrust/system/omp/execution_policy.h"
#undef ROCM_SYMLINK_GAVE_WARNING
#endif /* defined(ROCM_NO_WRAPPER_HEADER_WARNING) || defined(ROCM_SYMLINK_GAVE_WARNING) */

#endif /* ROCM_SYMLINK_SYSTEM_OMP_EXECUTION_POLICY_H */


